package com.schisandra.oss.infra.basic.service;

import com.schisandra.oss.infra.basic.entity.SchisandraOssFtp;

/**
 * ftp存储配置表 表服务接口
 *
 * @author landaiqing
 * @since 2024-06-02 21:54:20
 */
public interface SchisandraOssFtpService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraOssFtp queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraOssFtp 实例对象
     * @return 实例对象
     */
    int insert(SchisandraOssFtp schisandraOssFtp);

    /**
     * 修改数据
     *
     * @param schisandraOssFtp 实例对象
     * @return 实例对象
     */
    int update(SchisandraOssFtp schisandraOssFtp);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


}
